Index: external/cddl/osnet/dist/lib/libzfs/common/libzfs_import.c
===================================================================
RCS file: /cvsroot/src/external/cddl/osnet/dist/lib/libzfs/common/libzfs_import.c,v
retrieving revision 1.5
diff -p -u -r1.5 libzfs_import.c
--- external/cddl/osnet/dist/lib/libzfs/common/libzfs_import.c	20 Aug 2019 08:11:21 -0000	1.5
+++ external/cddl/osnet/dist/lib/libzfs/common/libzfs_import.c	29 Feb 2020 17:39:56 -0000
@@ -1095,8 +1095,16 @@ zpool_open_func(void *arg)
 	}
 #endif /* __FreeBSD__ */
 #ifdef __NetBSD__
+	struct dkwedge_list dkwl;
 	off_t size;
 
+	/* skip devices with wedges */
+	if (native_ioctl(fd, DIOCLWEDGES, &dkwl) == 0 &&
+	    dkwl.dkwl_nwedges > 0) {
+		(void) close(fd);
+		return;
+	}
+
 	if (native_ioctl(fd, DIOCGMEDIASIZE, &size) < 0 ||
 	    size < SPA_MINDEVSIZE) {
 		(void) close(fd);
